Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.smime
Interface Smime

public interface Smime

Defines constants required by users of this package.

Field Summary
`static oracle.security.crypto.core.AlgorithmIdentifier` | `dES_CBC` DES in CBC mode Content encryption algorithm.
`static oracle.security.crypto.core.AlgorithmIdentifier` | `dES_EDE3_CBC` Triple-DES in CBC mode Content encryption algorithm.
`static oracle.security.crypto.core.AlgorithmIdentifier` | `dsaWithSHA` DSA Signature algorithm identifier.
`static oracle.security.crypto.core.AlgorithmIdentifier` | `dsaWithSHA1` DSA Signature algorithm identifier, with params omitted (not `null`) as per RFC-2633.
`static oracle.security.crypto.core.AlgorithmIdentifier` | `dsaWithSHA1Old` Obsolete DSA Signature algorithm identifier.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_aa_contentHint` The ESS Content Hint attribute identifier.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_aa_contentIdentifier` The ESS Content Identifier attribute identifier.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_aa_contentReference` The ESS Content Reference attribute identifier.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_aa_equivalentLabels` The ESS Equivalent Labels attribute identifier.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_aa_mlExpandHistory` The ESS Mailing List Expansion History attribute identifier.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_aa_msgSigDigest` The ESS Message Signature Digest attribute identifier.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_aa_receiptRequest` The ESS Receipt Request attribute identifier.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_aa_securityLabel` The ESS Security Label attribute identifier.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_aa_signingCertificate` The ESS Signing Certificate Attribute identifier.
`static oracle.security.crypto.core.AlgorithmIdentifier` | `id_alg_zlibCompress` The ZLIB Compression algorithm identifier.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_ct_receipt` The ESS Receipt object identifier.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_data` The Smime Data Message Content Type identifier.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_envelopedData` The Smime Enveloped Message Content Type identifier.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `id_signedData` The Smime Signed Message Content Type identifier.
`static oracle.security.crypto.core.AlgorithmIdentifier` | `md5` MD5 Message Digest algorithm.
`static oracle.security.crypto.core.AlgorithmIdentifier` | `rC2_CBC` RC2 in CBC mode Content encryption algorithm.
`static oracle.security.crypto.core.AlgorithmIdentifier` | `rsaEncryption` RSA digest/key encryption algorithm identifier.
`static oracle.security.crypto.core.AlgorithmIdentifier` | `sha_1` SHA-1 Message Digest algorithm.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `signingTime` The 'signingTime' signed attribute identifier.
`static oracle.security.crypto.asn1.ASN1ObjectID` | `smimeCapabilities` The 'smimeCapabilities' signed attribute identifier.

Field Detail

### signingTime

    public static final oracle.security.crypto.asn1.ASN1ObjectID signingTime

  The 'signingTime' signed attribute identifier.

### smimeCapabilities

    public static final oracle.security.crypto.asn1.ASN1ObjectID smimeCapabilities

  The 'smimeCapabilities' signed attribute identifier.

### dES_CBC

    public static final oracle.security.crypto.core.AlgorithmIdentifier dES_CBC

  DES in CBC mode Content encryption algorithm.

### dES_EDE3_CBC

    public static final oracle.security.crypto.core.AlgorithmIdentifier dES_EDE3_CBC

  Triple-DES in CBC mode Content encryption algorithm.

### rC2_CBC

    public static final oracle.security.crypto.core.AlgorithmIdentifier rC2_CBC

  RC2 in CBC mode Content encryption algorithm.

### dsaWithSHA1

    public static final oracle.security.crypto.core.AlgorithmIdentifier dsaWithSHA1

  DSA Signature algorithm identifier, with params omitted (not `null`) as per RFC-2633.

### dsaWithSHA

    public static final oracle.security.crypto.core.AlgorithmIdentifier dsaWithSHA

  DSA Signature algorithm identifier.

### dsaWithSHA1Old

    public static final oracle.security.crypto.core.AlgorithmIdentifier dsaWithSHA1Old

  Obsolete DSA Signature algorithm identifier.

### rsaEncryption

    public static final oracle.security.crypto.core.AlgorithmIdentifier rsaEncryption

  RSA digest/key encryption algorithm identifier.

### md5

    public static final oracle.security.crypto.core.AlgorithmIdentifier md5

  MD5 Message Digest algorithm.

### sha_1

    public static final oracle.security.crypto.core.AlgorithmIdentifier sha_1

  SHA-1 Message Digest algorithm.

### id_envelopedData

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_envelopedData

  The Smime Enveloped Message Content Type identifier.

### id_signedData

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_signedData

  The Smime Signed Message Content Type identifier.

### id_data

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_data

  The Smime Data Message Content Type identifier.

### id_aa_receiptRequest

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_aa_receiptRequest

  The ESS Receipt Request attribute identifier.

### id_aa_contentIdentifier

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_aa_contentIdentifier

  The ESS Content Identifier attribute identifier.

### id_ct_receipt

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_ct_receipt

  The ESS Receipt object identifier.

### id_aa_contentHint

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_aa_contentHint

  The ESS Content Hint attribute identifier.

### id_aa_msgSigDigest

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_aa_msgSigDigest

  The ESS Message Signature Digest attribute identifier.

### id_aa_contentReference

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_aa_contentReference

  The ESS Content Reference attribute identifier.

### id_aa_securityLabel

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_aa_securityLabel

  The ESS Security Label attribute identifier.

### id_aa_equivalentLabels

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_aa_equivalentLabels

  The ESS Equivalent Labels attribute identifier.

### id_aa_mlExpandHistory

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_aa_mlExpandHistory

  The ESS Mailing List Expansion History attribute identifier.

### id_aa_signingCertificate

    public static final oracle.security.crypto.asn1.ASN1ObjectID id_aa_signingCertificate

  The ESS Signing Certificate Attribute identifier.

### id_alg_zlibCompress

    public static final oracle.security.crypto.core.AlgorithmIdentifier id_alg_zlibCompress

  The ZLIB Compression algorithm identifier.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.